read.cdf.env {affxparser} | R Documentation

## Creating an CDF environment using teh Fusion SDK

### Description

This function parses a CDF file and creates a corresponding CDF environment using the Afymetrix Fusion SDK.

### Usage

    read.cdf.env(fname, complementary.logic = TRUE, verbose = 0)

### Arguments

`fname` | name of the CDF file.
`complementary.logic` | is a sanity check performed where we require that the mm match for a pm probe should be exactly the complementary of the pm probe. This should be the case for all cdf files except very special custom files (and SNP chip files).
`verbose` | how verbose do we want to be? 0 means no output, higher numbers is more verbose.

### Value

A cdf envirornment, for details see the link below.

### Note

~~further notes~~

### Author(s)

James Bullard, bullard@stat.berkeley.edu and Kasper Daniel Hansen, khansen@stat.berkeley.edu

### See Also

`make.cdf.env` from makecdfenv for the default approach to creating cdf environments as well as `affxparserInfo` for general information about the Fusion SDK.

### Examples

    ## Not run:
    read.cdf.env("test.CDF")
    ## End(Not run)

[Package affxparser version 1.2.0 Index]